<?php 
// $Id: uc_sf_order.defaults.inc,v 1.1.2.1 2010/11/10 22:27:16 evandonovan Exp $

/**
 * @file
 * uc_sf_order.defaults.inc: Defines OpportunityContactRole node type 
 * and default Salesforce field mappings
 */

function _uc_sf_order_node_info() {
  $items = array(
    'opportunity_contact_role' => array(
      'name' => t('Opportunity Contact Role'),
      'module' => 'node',
      'description' => t('Opportunity Contact Role is used for Ubercart SalesForce integration.'),
      'has_title' => FALSE,
      'title_label' => '',
      'has_body' => FALSE,
      'body_label' => '',
      'min_word_count' => '0',
      'help' => '',
      'node_options' => array(
          'status' => FALSE,
          'promote' => FALSE,
          'sticky' => FALSE,
          'revision' => FALSE,
  )));
  return $items;
}

function _uc_sf_order_content_default_fields() {
  $fields = array();
  $fields[] = array(
    'label' => 'Ubercart Order ID',
    'field_name' => 'field_order_id',
    'type_name' => 'opportunity_contact_role',
    'type' => 'text',
    'widget_type' => 'text_textfield',
    'widget_active' => '1',
    'weight' => '31',
    'active' => '1',
    'rows' => 1,
    'size' => '60',
    'description' => '',
    'default_value_php' => '',
    'default_value_widget' => NULL,
    'required' => 0,
    'multiple' => '0',
    'text_processing' => '0',
    'max_length' => '',
    'allowed_values' => '',
    'allowed_values_php' => '',
    'module' => 'text',
    'widget_module' => 'text',
    'columns' => array('value' => 
      array(
        'type' => 'text',
        'size' => 'big',
        'not null' => false,
        'sortable' => FALSE,
        'views' => true,
      )),
    'display_settings' => array(
      'weight' => 0,
      'parent' => '',
      'label' => array(
        'format' => 'above',
        'exclude' => 0,
      ),
      'teaser' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'full' => array(
        'format' => 'default',
        'exclude' => 0,
      ),
      'token' => array(
        'format' => 'default',
        'exclude' => 0,
      )));
  return $fields;
}
